## maxima 5.9.1

=== doc/maximabook/Makefile ===
#
# Makefile to do all printouts:
#
# Printer where things will go to:

PRINTER = yours_here

.SUFFIXES:	.tex

all:	ps pdf

clean:
		rm -f *~ *.aux *.log *.dvi *.bbl *.blg *.brf *.idx *.ilg *.ing \
		*.ind *.lof *.toc *.tpt *.out *.png *.pdf *.ps thumbdta.tex

.tex:
		latex $<

printoutdvi:
		dvips -P$(PRINTER) maxima.dvi

printoutpdf:
		lpr -h -P$(PRINTER) maxima.pdf

problems:	
		latex all_pro

sharpr:
	shar -m -w ../P > MonsterPr

sharsol:
	shar -m -w ../S > MonsterSol

index:
	makeindex -o maxima.ind maxima.idx

dvi:
		TEXINPUTS="`pwd`/../../interfaces/emacs/emaxima:$$TEXINPUTS";\
		export TEXINPUTS;\
		latex maxima && \
		makeindex -o maxima.ind maxima.idx && \
		bibtex maxima && \
		latex maxima && \
		latex maxima

ps:	
		TEXINPUTS="`pwd`/../../interfaces/emacs/emaxima:$$TEXINPUTS";\
		export TEXINPUTS;\
		latex maxima && \
		makeindex -o maxima.ind maxima.idx  && \
		bibtex maxima && \
		latex maxima && \
		latex maxima && \
		dvips -o maxima.ps maxima.dvi

ps4page:
		TEXINPUTS="`pwd`/../../interfaces/emacs/emaxima:$$TEXINPUTS";\
		export TEXINPUTS;\
		latex maxima && \
		makeindex -o maxima.ind maxima.idx && \
		bibtex maxima && \
		latex maxima && \
		latex maxima && \
		a2ps -4 -o maxima4pagesperpage.ps maxima.dvi
pdf:
		TEXINPUTS="`pwd`/../../interfaces/emacs/emaxima:$$TEXINPUTS";\
		export TEXINPUTS;\
		pdflatex maxima && \
		makeindex -o maxima.ind maxima.idx && \
		bibtex maxima && \
		pdflatex maxima && \
		pdflatex maxima

pdf-final:
		TEXINPUTS="`pwd`/../../interfaces/emacs/emaxima:$$TEXINPUTS";\
		export TEXINPUTS;\
		pdflatex maxima && \
		makeindex -o maxima.ind maxima.idx && \
		bibtex maxima && \
		thumbpdf maxima && \
		pdflatex maxima && \
		pdflatex maxima

=== share/contrib/diffequations/tests/Makefile ===
MAXIMA=maxima

check:
	(echo 'to_lisp();';\
	echo '(setq *maxima-testsdir* ".")';\
	echo '(to-maxima)';\
	echo "load('pdiff);";\
	echo "use_pdiff:false;";\
	echo "load('contrib_ode);";\
	echo 'run_testsuite();') | $(MAXIMA) 

# Verbose output
check.log:
	(echo 'to_lisp();';\
	echo '(setq *maxima-testsdir* ".")';\
	echo '(to-maxima)';\
	echo "load('pdiff);";\
	echo "use_pdiff:false;";\
	echo "load('contrib_ode);";\
	echo "put('contrib_ode,true,'verbose);";\
	echo 'run_testsuite(t,t);') | $(MAXIMA) > $@ 2>&1

## maxima 5.9.2

=== share/contrib/diffequations/tests/Makefile ===
--- 
+++ 
@@ -1,19 +1,31 @@
-MAXIMA=maxima
+MAXIMA=../../../../maxima-local
 
-check:
+TEST_FILES = \
+        rtestode_murphy_1_1.mac rtestode_murphy_1_2.mac rtestode_murphy_1_3.mac \
+        rtestode_murphy_1_4.mac rtestode_murphy_1_5.mac rtestode_murphy_1_6.mac \
+        rtestode_murphy_2_1.mac rtestode_murphy_2_2.mac rtestode_murphy_2_3.mac \
+        rtestode_murphy_2_4.mac rtestode_murphy_2_5.mac  \
+	rtestode_kamke_1_1.mac rtestode_kamke_1_2.mac rtestode_kamke_1_3.mac \
+	rtestode_kamke_1_4.mac rtestode_kamke_1_5.mac rtestode_kamke_1_6.mac \
+	rtest_sym.mac rtest_sym2.mac \
+	rtest_ode1_riccati.mac rtest_ode1_abel.mac
+
+check: $(TEST_FILES)
 	(echo 'to_lisp();';\
 	echo '(setq *maxima-testsdir* ".")';\
 	echo '(to-maxima)';\
+	echo 'file_search_maxima:append(["../###.mac"],file_search_maxima);';\
 	echo "load('pdiff);";\
 	echo "use_pdiff:false;";\
 	echo "load('contrib_ode);";\
 	echo 'run_testsuite();') | $(MAXIMA) 
 
 # Verbose output
-check.log:
+check.log: $(TEST_FILES)
 	(echo 'to_lisp();';\
 	echo '(setq *maxima-testsdir* ".")';\
 	echo '(to-maxima)';\
+	echo 'file_search_maxima:append(["../###.mac"],file_search_maxima);';\
 	echo "load('pdiff);";\
 	echo "use_pdiff:false;";\
 	echo "load('contrib_ode);";\

## maxima 5.13.0

=== share/contrib/diffequations/tests/Makefile ===
--- 
+++ 
@@ -11,10 +11,7 @@
 	rtest_ode1_riccati.mac rtest_ode1_abel.mac
 
 check: $(TEST_FILES)
-	(echo 'to_lisp();';\
-	echo '(setq *maxima-testsdir* ".")';\
-	echo '(to-maxima)';\
-	echo 'file_search_maxima:append(["../###.mac"],file_search_maxima);';\
+	(echo ':lisp (setq *maxima-testsdir* ".")';\
 	echo "load('pdiff);";\
 	echo "use_pdiff:false;";\
 	echo "load('contrib_ode);";\
@@ -22,10 +19,7 @@
 
 # Verbose output
 check.log: $(TEST_FILES)
-	(echo 'to_lisp();';\
-	echo '(setq *maxima-testsdir* ".")';\
-	echo '(to-maxima)';\
-	echo 'file_search_maxima:append(["../###.mac"],file_search_maxima);';\
+	(echo ':lisp (setq *maxima-testsdir* ".")';\
 	echo "load('pdiff);";\
 	echo "use_pdiff:false;";\
 	echo "load('contrib_ode);";\

## maxima 5.21.1

=== debian/changelog ===
maxima (5.21.1-2squeeze) testing; urgency=high

  * Backport fixes to 591862 and related items

 -- Camm Maguire <camm@debian.org>  Tue, 14 Sep 2010 17:00:45 -0400

maxima (5.21.1-2) unstable; urgency=low

  * Bug fix: "autoload imath is missing in
    /etc/emacs/site-start.d/50maxima-emacs.el", thanks to M G Berberich
    (Closes: #585134).

 -- Camm Maguire <camm@debian.org>  Thu, 10 Jun 2010 14:11:56 +0000

maxima (5.21.1-1) unstable; urgency=high

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Fri, 30 Apr 2010 13:30:33 +0000

maxima (5.21.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 14 Apr 2010 15:42:56 +0000

maxima (5.20.1-6) unstable; urgency=low

  * fix testsuite on sparc
  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Thu, 28 Jan 2010 19:01:33 +0000

maxima (5.20.1-5) unstable; urgency=low

  * fix FTBFS on sparc

 -- Camm Maguire <camm@debian.org>  Tue, 19 Jan 2010 15:14:55 +0000

maxima (5.20.1-4) unstable; urgency=low

  * -O0 on ia64, fixing testsuite for now.
  * no SGC on sparc, no testsuite error on sparc until gcl with -O2 is in testing
  * Bug fix: "Missing dependency on texlive-latex3", thanks to Andreas
    Rottmann (Closes: #565545).

 -- Camm Maguire <camm@debian.org>  Mon, 18 Jan 2010 19:07:01 +0000

maxima (5.20.1-3) unstable; urgency=low

  * more test suite error fixes

 -- Camm Maguire <camm@debian.org>  Tue, 05 Jan 2010 03:36:14 +0000

maxima (5.20.1-2) unstable; urgency=low

  * Fix testsuite errors

 -- Camm Maguire <camm@debian.org>  Wed, 30 Dec 2009 23:06:14 +0000

maxima (5.20.1-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "integral of positive function is negative", thanks to Sanjoy
    Mahajan (Closes: #530442).
  * Bug fix: "double quote (&#39;&#39;) operator does not work!", thanks
    to Andres Cimmarusti (Closes: #556134).  Bug in documentation no
    longer present.  Please reopen if you disagree.

 -- Camm Maguire <camm@debian.org>  Wed, 16 Dec 2009 15:36:29 +0000

maxima (5.20.0-1) unstable; urgency=low

  [  Camm Maguire ]
  * New upstream release
  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553812).
  * Bug fix: "crash after ctrl-C", thanks to Miroslaw Kwasniak (Closes:
    #450703). Build depend on >= gcl-2.6.7-26.
  * Bug fix: "xmaxima 5.10.0 can&#39;t find it&#39;s docs in
    /usr/share/maxima/5.13.0/doc", thanks to Siward de Groot (Closes:
    #489167).
  * Bug fix: "Wrong project address in the manpage", thanks to Simon
    Danner (Closes: #519853). Fixed upstream
  * Bug fix: "maxima should recommend or suggest maxima-emacs", thanks to
    Chris Walker (Closes: #502632).
  * Bug fix: "[maxima] maxima version 5.18.1 was out since April", thanks
    to Huy (Closes: #533113).
  * Bug fix: "upstream version of maxima is now 5.19.2, please update!",
    thanks to Andres Cimmarusti (Closes: #552280).
  * Bug fix: "/etc/emacs/site-start.d/50imaxima-imath.el missing", thanks
    to M G Berberich (Closes: #493725).
  * lintian fixes
  * change maintainer address

 -- Camm Maguire <camm@debian.org>  Tue, 15 Dec 2009 14:35:33 +0000

maxima (5.17.1-1) unstable; urgency=low

  * New upstream release

 --  Camm Maguire <camm@debian.org>  Fri, 06 Feb 2009 03:48:15 +0000

maxima (5.17.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Fri, 12 Dec 2008 14:03:18 -0500

maxima (5.16.3-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 01 Sep 2008 17:32:31 +0000

maxima (5.16.2-1) unstable; urgency=high

  * New upstream release
  * Bug fix: "No such file or directory", thanks to Lucas Nussbaum
    (Closes: #474909). Build-dep against latest gcl
  * Bug fix: "fails to integrate a simple rational function", thanks to
    Alexei Sheplyakov (Closes: #474684).  new release
  * Bug fix: "maxima needs gnuplot-x11 to plot", thanks to
    cardaniuc@gmail.com</a>; (Closes: #479100). depend on gnuplot-x11
  * Bug fix: "segfaults in quad_qagi()", thanks to Stephen Dann (Closes:
    #480308). Apparently fixed in new release -- cannot trigger
  * Bug fix: "Maxima fails on &#39;load(rducon);&#39;", thanks to Felix
    Homann (Closes: #484278). Fixed in new release
  * Bug fix: "new upstream version available", thanks to Stanislav
    Maslovski (Closes: #489302).
  * Bug fix: "describe triggers &quot;fatal&quot; lisp error", thanks to
    David Bremner (Closes: #488518).  Missing maxima-doc now reports
    describe error
  * Bug fix: "New upstream version 5.15.0", thanks to Felix Homann
    (Closes: #484279).

 -- Camm Maguire <camm@enhanced.com>  Sun, 24 Aug 2008 17:06:39 +0000

maxima (5.15.0-2) unstable; urgency=low

  * Build-dep against gcl -38 for randomized sbrk and sincos fixes.

 -- Camm Maguire <camm@enhanced.com>  Thu, 31 Jul 2008 16:26:03 -0400

maxima (5.15.0-1) unstable; urgency=low

  * New upstream release
  * Accept 3.1 NMU
  * Test autobuild to catch any failurs with current gcl
  * extract_categories.sh from cvs

 -- Camm Maguire <camm@enhanced.com>  Tue, 29 Jul 2008 17:20:19 -0400

maxima (5.13.0-3) unstable; urgency=low

  * Bug fix: "maxima-doc: installs info pages with the wrong section",
    thanks to Riccardo Stagni (Closes: #447908). fix alias
  * build-dep texlive-latex-recommended
  * build-dep latest gcl to get arm build

 -- Camm Maguire <camm@enhanced.com>  Mon, 03 Dec 2007 09:42:23 -0500

maxima (5.13.0-2) unstable; urgency=low

  * (si::putprop (quote cl-info::cause-maxima-index-to-load) 
  "/usr/share/doc/maxima-doc/info/maxima-index.lisp"  (quote autoload)) in final image save
  * Bug fix: "maxima-doc: documentation not accessible from within
    maxima", thanks to Thor Andreassen (Closes: #427535).
  * Bug fix: "describe() can&#39;t find maxima-index.lisp", thanks to Timo
    Juhani Lindfors (Closes: #417846).
  * Bug fix: "Dependency on texlive is not fine-grained enough", thanks to


=== debian/control ===
Source: maxima
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: gcl ( >= 2.6.7-53 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake1.9, debhelper ( >=5 ) , libncurses5-dev, autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev
Standards-Version: 3.9.1

Package: maxima
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, gnuplot-x11
Recommends: maxima-share
Suggests: texmacs, maxima-doc, xmaxima, maxima-emacs
Description: A computer algebra system -- base system
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains the main executables and base system files.

Package: maxima-src
Architecture: all
Depends: ${misc:Depends}
Description: A computer algebra system -- source code
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains the lisp source code.

Package: maxima-test
Architecture: all
Depends: maxima (>= ${binary:Version}), maxima-src (>= ${source:Version}), maxima-share (>= ${source:Version}), ${misc:Depends}
Description: A computer algebra system -- test suite
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains a build integrity test suite.

Package: maxima-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: maxima (<< ${binary:Version})
Description: A computer algebra system -- documentation
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains most of the documentation.

Package: xmaxima
Architecture: any
Depends:  tk8.5 | tk8.4, maxima (>= ${binary:Version}), maxima-doc (>= ${source:Version}), maxima-test (>= ${source:Version}), ${misc:Depends}
Recommends: mime-support, postscript-viewer, pdf-viewer
Suggests: texmacs
Replaces: maxima (<< ${binary:Version})
Description: A computer algebra system -- x interface
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains an X Windows interface using the tcl/tk 
 libraries. 

Package: maxima-emacs
Depends:  maxima (>= ${binary:Version}), emacs23 | emacsen, emacsen-common (>= 1.4.14), texlive-base-bin, ${misc:Depends}, texlive-latex3, maxima-doc (>= ${source:Version})
Recommends: mime-support, postscript-viewer, pdf-viewer
Architecture: all
Replaces: maxima (<< ${binary:Version})
Description: A computer algebra system -- emacs interface
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains an emacs interface.

Package: maxima-share
Architecture: all
Depends:  maxima (>= ${binary:Version}), ${misc:Depends}
Replaces: maxima (<< ${binary:Version})
Description: A computer algebra system -- extra code
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 This package contains a set of contributed routines and add-on 
 packages.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=3

NO_STRIP:=
#ALT_LINK:=
#ifeq ($(DEB_BUILD_ARCH),mips)
#ALT_LINK:=--enable-gcl-alt-link
#endif
#ifeq ($(DEB_BUILD_ARCH),mipsel)
#ALT_LINK:=--enable-gcl-alt-link
#endif
#ifeq ($(DEB_BUILD_ARCH),ia64)
#ALT_LINK:=--enable-gcl-alt-link
#NO_STRIP:=-Xmaxima
#endif
#ifeq ($(DEB_BUILD_ARCH),hppa)
#ALT_LINK:=--enable-gcl-alt-link
#endif
#ifeq ($(DEB_BUILD_ARCH),alpha)
#ALT_LINK:=--enable-gcl-alt-link
#endif
ifeq ($(DEB_BUILD_ARCH),powerpc)
NO_STRIP:=-Xmaxima
endif

SAVES:=$(addprefix debian/save/,aclocal.m4 configure interfaces/emacs/imaxima/stamp-vti\
	 interfaces/emacs/imaxima/imaxima.info interfaces/emacs/imaxima/version.texi\
	 src/sys-proclaim.lisp src/lisp)

debian/save/%: %
	mkdir -p $(@D)
	[ -e $@ ] || cp $< $@

debian/save: $(SAVES)

restore: 
	! [ -d debian/save ] || ( cd debian/save && for i in $$(find -type f); do cp $$i ../../$$i; done )
	rm -rf debian/save

MVERS:=$(shell head -n 1 debian/changelog | cut -f2 -d\  | tr -d '()' | cut -f1 -d-)
build: debian/save build-stamp
build-stamp:
	dh_testdir

	aclocal-1.9
	automake-1.9

	GCL_ANSI=t gcl -batch -eval '(bye #+ia64 1)' || \
	echo '(setq compiler::*opt-three* "-O0" compiler::*opt-two* "-O0")(si::save-system "gcl")' | GCL_ANSI=t gcl

	PATH=$$(pwd):$$PATH GCL_ANSI=t ./configure --enable-gcl $$(gcl -batch -eval '#-native-reloc(princ "--enable-gcl-alt-link")(bye)') \
		--prefix=/usr \
		--libexec=/usr/lib \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info 

	PATH=$$(pwd):$$PATH GCL_ANSI=t $(MAKE)

# This sets up some reasonable readline command completion by default

	cd src/binary-gcl && echo ':lisp (setq si::*readline-prefix* "maxima::$$")(when (fboundp (quote si::sgc-on)) (si::sgc-on t))(setq maxima::*maxima-started* nil)(si::putprop (quote cl-info::cause-maxima-index-to-load) "/usr/share/doc/maxima-doc/info/maxima-index.lisp"  (quote autoload))(si::save-system "foo")' | ./maxima -eval '(run)' && mv foo maxima


# Reenable if/when gcl uses __mulsi et. al. on m68k, now configured for (020) unoptimally
#	[ "$$(dpkg --print-architecture)" != "m68k" ] || cp debian/rtest8.mac.m68k tests/rtest8.mac

	chmod +x ./maxima-local
#	echo '(bye #-(or sparc sparc64) 1)' | gcl || 
	./maxima-local --lisp=gcl --batch-string="run_testsuite();"  >tmp 2>&1 & \
		j=$$! ; echo Waiting on pid $$j ; \
		tail -f --pid=$$j --retry tests/tests-gcl.log tmp & wait $$j

#	cat tmp tests/tests-gcl.log >debian/test_results.out

#	grep "Error(s) found in.*:" tests/tests-gcl.log | sed 's,Error(s) found in ,,1'	>tmp

#	! [ -e tests/known-bugs ] || diff -u tests/known-bugs tmp

#	[ -e tests/known-bugs ] || grep -q "No Errors Found" tests/tests-gcl.log

	touch tmp
	cat tmp >debian/test_results.out

#	echo '(bye #-(or sparc sparc64) 1)' | gcl || 
	grep -q "No unexpected errors found." debian/test_results.out

	rm -f tmp

#	cd doc/maximabook &&\
#		TEXINPUTS=../../interfaces/emacs/emaxima:.:$$TEXINPUTS latex maxima && \
#		TEXINPUTS=../../interfaces/emacs/emaxima:.:$$TEXINPUTS latex maxima && \
#		TEXINPUTS=../../interfaces/emacs/emaxima:.:$$TEXINPUTS latex maxima && \
#		dvips -o maxima.ps maxima

	touch build-stamp

BOOK:=debian/maximabook-19-Sept-2004.pdf

clean: restore
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	-GCL_ANSI=t $(MAKE) clean
	-rm -f debian/test_results.out tests/tests-gcl.log
	-for i in $$(find -name Makefile) ; do\
		! [ -e $$i.am ] || rm -f $$i;\
		! [ -e $$i.am ] || rm -f $$i.in;\
	 done
	-rm -f src/maxima doc/man/maxima.1 interfaces/xmaxima/Tkmaxima/Header.tcl \
		interfaces/xmaxima/Tkmaxima/tclIndex interfaces/xmaxima/autoconf-variables.tcl \
		interfaces/xmaxima/xmaxima src/autoconf-variables.lisp
	rm -f src/factor.fn src/nparse.fn tests/gazonk0.fn
#	cd doc/maximabook && \
#		rm -f maxima.aux maxima.dvi maxima.idx maxima.lof \
#			maxima.log maxima.out maxima.toc maxima.ps
	rm -f debian/*.install
	rm -f $(BOOK) config.log config.status plotting/mgnuplot \
			src/maxima.bat src/rmaxima maxima-local xmaxima-local maxima.spec maxima.iss
	rm -rf src/numerical/slatec/fortran/CVS src/*gazonk* interfaces/xmaxima/win32/Makefile
	for i in aclocal.m4 src/sys-proclaim.lisp configure ; do ! [ -e $$i.ori ] || mv $$i.ori $$i; done
	rm -rf doc/info/maxima.html
	rm -rf src/binary-gcl
	rm -f doc/man/ru/maxima.1
	rm -f tests/rtest14.ERR
	rm -f doc/info/include-maxima.texi
	rm -f configure.lineno doc/info/extract_categories.sh.debdiff
	dh_clean


LOC_DOC=<a href=file://usr/share/doc/maxima/html/maxima_toc.html> (local copy) </a>

debian/%.install: debian/%.install.in
	cat $< | sed "s,@MVERS@,$(MVERS),g" >$@

INSTALLS:=$(shell ls -1 debian/*.install.in | sed 's,\.in$$,,1')

debian/%.pdf: debian/%.pdf.uu
	cat $< | uudecode >$@

install: install-stamp
install-stamp: build-stamp $(BOOK) $(INSTALLS)
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$$(pwd)/debian/tmp INSTALL="/usr/bin/install -D"

	mkdir -p $$(pwd)/debian/tmp/usr/share/doc/maxima-doc
	cp -a debian/tmp/usr/share/maxima/$(MVERS)/doc/* \
		$$(pwd)/debian/tmp/usr/share/doc/maxima-doc 
	rm -rf debian/tmp/usr/share/maxima/$(MVERS)/doc
	ln -snf ../../doc/maxima-doc debian/tmp/usr/share/maxima/$(MVERS)/doc

	mkdir -p $$(pwd)/debian/tmp/usr/share/doc/xmaxima
	cp -a debian/tmp/usr/share/maxima/$(MVERS)/xmaxima/* \
		$$(pwd)/debian/tmp/usr/share/doc/xmaxima 
	rm -rf debian/tmp/usr/share/maxima/$(MVERS)/xmaxima
	ln -snf ../../doc/xmaxima debian/tmp/usr/share/maxima/$(MVERS)/xmaxima

	mkdir -p debian/tmp/usr/share/emacs/site-lisp/maxima
	cp -a debian/tmp/usr/share/maxima/$(MVERS)/emacs/* \
		debian/tmp/usr/share/emacs/site-lisp/maxima
	rm debian/tmp/usr/share/emacs/site-lisp/maxima/dbl.el
	mkdir -p debian/tmp/usr/share/texmf/tex/latex
	mv debian/tmp/usr/share/emacs/site-lisp/maxima/*sty \
		debian/tmp/usr/share/texmf/tex/latex
	rm -rf debian/tmp/usr/share/maxima/$(MVERS)/emacs
	ln -snf ../../emacs/site-lisp/maxima debian/tmp/usr/share/maxima/$(MVERS)/emacs

	for i in debian/tmp/usr/bin/xmaxima \
		debian/tmp/usr/lib/maxima/$(MVERS)/mgnuplot ; do \
		cat $$i | sed  -e 's,^#!/bin/sh,#!/usr/bin/wish,1' \
			-e 's,^exec wish,#exec wish,1' \
			-e 's,\$${prefix}/share,/usr/share,1' \
                        -e 's,[Nn]etscape,sensible-browser,g' >tmp && chmod 755 tmp && \
			mv tmp $$i ; done

	mkdir -p debian/tmp/usr/share/applications
	cp debian/xmaxima.desktop debian/tmp/usr/share/applications
	mkdir -p debian/tmp/usr/share/pixmaps
	ln -s /usr/share/doc/xmaxima/maxima-icon.png debian/tmp/usr/share/pixmaps/maxima-icon.png


# GCL must be able to write to directory in which tests are run
#	cd debian/tmp/usr/share/maxima/$(MVERS)/tests && patch -p1 <../../../../../../tests.lisp.patch
#	cat debian/tmp/usr/share/maxima/$(MVERS)/tests/tests.lisp | sed "s,@MVERS@,$(MVERS),g" >tmp && \
#		mv tmp debian/tmp/usr/share/maxima/$(MVERS)/tests/tests.lisp

#	cd debian/tmp/usr/bin && patch -p1 <../../../xmaxima.patch
#	cat debian/tmp/usr/bin/xmaxima | sed "s,@MVERS@,$(MVERS),g" >tmp && \
#		chmod 755 tmp && mv tmp debian/tmp/usr/bin/xmaxima

	cp $(BOOK) debian/tmp/usr/share/doc/maxima-doc

	cd debian/tmp/usr/share/info && \
		for i in $$(find -name "*.info"); do if ! grep -q START-INFO-DIR-ENTRY $$i ; then k=$$(basename $$i); k=$${k%.*}; awk '{if (!i) {i=1;printf("INFO-DIR-SECTION Maxima\nSTART-INFO-DIR-ENTRY\n* Maxima-%s: (%s).  A computer algebra system -- contributions.\nEND-INFO-DIR-ENTRY\n",k,k);}} {print}' k=$$k $$i >$$i.tmp; diff -u $$i $$i.tmp ; mv $$i.tmp $$i ; fi ; done

	cat debian/tmp/usr/share/info/maxima.info | \
		awk '/START-INFO-DIR-ENTRY/ {print "INFO-DIR-SECTION Maxima"}{print}' >debian/foo && \
		mv debian/foo debian/tmp/usr/share/info/maxima.info

	cat debian/tmp/usr/share/man/man1/maxima.1 | \

## maxima 5.22.1

=== debian/changelog ===
maxima (5.22.1-9) unstable; urgency=low

  * build-depend on latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 05 Nov 2010 15:47:24 +0000

maxima (5.22.1-8) unstable; urgency=low

  * build-depend on latest gcl for mips

 -- Camm Maguire <camm@debian.org>  Wed, 20 Oct 2010 15:53:42 +0000

maxima (5.22.1-7) unstable; urgency=low

  * Bug fix: "FTBFS on mipsel: Unrecoverable error: Segmentation
    violation..", thanks to Cyril Brulebois (Closes: #599981).

 -- Camm Maguire <camm@debian.org>  Sat, 16 Oct 2010 22:14:18 +0000

maxima (5.22.1-6) unstable; urgency=low

  * reuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 25 Sep 2010 23:45:50 +0000

maxima (5.22.1-5) unstable; urgency=low

  * sync package changes with squeeze build

 -- Camm Maguire <camm@debian.org>  Wed, 22 Sep 2010 20:47:04 +0000

maxima (5.22.1-4) unstable; urgency=low

  * restore changes from failed uupdate history

 -- Camm Maguire <camm@debian.org>  Wed, 08 Sep 2010 15:20:32 +0000

maxima (5.22.1-3) unstable; urgency=low

  * build-dep latest gcl to fix mips/ppc

 -- Camm Maguire <camm@debian.org>  Mon, 23 Aug 2010 21:16:41 +0000

maxima (5.22.1-2) unstable; urgency=low

  * build-dep latest gcl to fix alt-link targets.

 -- Camm Maguire <camm@debian.org>  Mon, 23 Aug 2010 21:16:13 +0000

maxima (5.22.1-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "Please reduce recommends from maxima to maxima-emacs to
    suggests", thanks to Petter Reinholdtsen (Closes: #574171).
  * Bug fix: "Please enable alternative pdf-viewer / postscript-viewer",
    thanks to Andreas Tille (Closes: #590785).

 -- Camm Maguire <camm@debian.org>  Fri, 20 Aug 2010 15:07:01 +0000

maxima (5.22.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 04 Aug 2010 12:47:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.7-53 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake1.9, debhelper ( >=5 ) , libncurses5-dev, autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev
+Build-Depends: gcl ( >= 2.6.7-87 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake1.9, debhelper ( >=5 ) , libncurses5-dev, autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev
 Standards-Version: 3.9.1
 
 Package: maxima
 Architecture: any
 Depends:  ${shlibs:Depends}, ${misc:Depends}, gnuplot-x11
-Recommends: maxima-share
+Recommends: maxima-share, wish
 Suggests: texmacs, maxima-doc, xmaxima, maxima-emacs
 Description: A computer algebra system -- base system
  Maxima is a fully symbolic computation program.  It is full featured

## maxima 5.24.0

=== debian/changelog ===
maxima (5.24.0-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:43:42 +0100

maxima (5.24.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 16 May 2011 16:27:48 +0000

=== debian/rules ===
--- 
+++ 
@@ -133,7 +133,7 @@
 	rm -f doc/man/ru/maxima.1
 	rm -f tests/rtest14.ERR
 	rm -f doc/info/include-maxima.texi
-	rm -f configure.lineno doc/info/extract_categories.sh.debdiff
+	rm -f configure.lineno doc/info/extract_categories.sh.debdiff raw_ff_map src/share-subdirs.lisp
 	dh_clean
 
 
@@ -209,4 +209,3 @@
 		awk '/START-INFO-DIR-ENTRY/ {print "INFO-DIR-SECTION Maxima"}{print}' >debian/foo && \
 		mv debian/foo debian/tmp/usr/share/info/maxima.info
 
-	cat debian/tmp/usr/share/man/man1/maxima.1 | \

## maxima 5.26.0

=== macosx/Makefile ===
APPDIR = $(HOME)/Desktop
VERSION = 5.24.0
LISP_PROGRAM = /usr/local/bin/sbcl
LISP_NAME = sbcl

MAXIMA_APP = $(APPDIR)/Maxima.app
APPRESOURCES = $(MAXIMA_APP)/Contents/Resources
PREFIX = $(APPRESOURCES)/maxima
BINDIR = $(PREFIX)/bin 

all:
	./configure --with-$(LISP_NAME) --prefix=$(PREFIX)
	make
	platypus -F -y -a Maxima                      \
                 -c macosx/script                     \
                 -p /bin/sh                           \
                 -o None                              \
                 -i interfaces/xmaxima/maxima-new.png \
                 -V $(VERSION)                        \
                 -u "Maxima Development Team"         \
                 -I net.sourceforge.maxima            \
                 $(MAXIMA_APP)
	make install
	install -c macosx/maxima.sh $(APPRESOURCES)
	install -c $(LISP_PROGRAM) $(BINDIR)

=== debian/changelog ===
maxima (5.26.0-3) unstable; urgency=low

  * remove NO_STRIP for ppc
  * lintian fixes
  * newer standards

 -- Camm Maguire <camm@debian.org>  Fri, 20 Jan 2012 20:38:54 +0000

maxima (5.26.0-2) unstable; urgency=low

  * Bug fix: "Please enable build-arch and build-indep targets", thanks to
    Niels Thykier (Closes: #648152).
  * Bug fix: "Please consider dropping Recommends on wish", thanks to
    Eckhart Wörner (Closes: #623170).
  * Bug fix: "[maxima-emacs] Description does not mention imaxima", thanks
    to Bastien ROUCARIES (Closes: #614976).

 -- Camm Maguire <camm@debian.org>  Tue, 17 Jan 2012 16:54:14 +0000

maxima (5.26.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 04 Jan 2012 20:38:41 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.7-87 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake1.9, debhelper ( >=5 ) , libncurses5-dev, autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev
-Standards-Version: 3.9.1
+Build-Depends: gcl ( >= 2.6.7-87 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake1.9, debhelper ( >=5 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev
+Standards-Version: 3.9.2
 
 Package: maxima
 Architecture: any
 Depends:  ${shlibs:Depends}, ${misc:Depends}, gnuplot-x11
-Recommends: maxima-share, wish
-Suggests: texmacs, maxima-doc, xmaxima, maxima-emacs
-Description: A computer algebra system -- base system
+Recommends: maxima-share
+Suggests: texmacs, maxima-doc, xmaxima, maxima-emacs, wish
+Description: Computer algebra system -- base system
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
  functions, integration, Todd-coxeter methods for finite group
@@ -25,7 +25,7 @@
 Package: maxima-src
 Architecture: all
 Depends: ${misc:Depends}
-Description: A computer algebra system -- source code
+Description: Computer algebra system -- source code
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
  functions, integration, Todd-coxeter methods for finite group
@@ -40,7 +40,7 @@
 Package: maxima-test
 Architecture: all
 Depends: maxima (>= ${binary:Version}), maxima-src (>= ${source:Version}), maxima-share (>= ${source:Version}), ${misc:Depends}
-Description: A computer algebra system -- test suite
+Description: Computer algebra system -- test suite
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
  functions, integration, Todd-coxeter methods for finite group
@@ -57,7 +57,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: maxima (<< ${binary:Version})
-Description: A computer algebra system -- documentation
+Description: Computer algebra system -- documentation
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
  functions, integration, Todd-coxeter methods for finite group
@@ -75,7 +75,7 @@
 Recommends: mime-support, postscript-viewer, pdf-viewer
 Suggests: texmacs
 Replaces: maxima (<< ${binary:Version})
-Description: A computer algebra system -- x interface
+Description: Computer algebra system -- x interface
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
  functions, integration, Todd-coxeter methods for finite group
@@ -93,7 +93,7 @@
 Recommends: mime-support, postscript-viewer, pdf-viewer
 Architecture: all
 Replaces: maxima (<< ${binary:Version})
-Description: A computer algebra system -- emacs interface
+Description: Computer algebra system -- emacs interface
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
  functions, integration, Todd-coxeter methods for finite group
@@ -103,13 +103,15 @@
  quite reliable, and has good garbage collection, and no memory leaks.
  It comes with hundreds of self tests.
  .
- This package contains an emacs interface.
+ This package contains a tradition emacs interface, together with a
+ newer imaxima interface supporting inline imaging and HTML export
+ under a specialized imath mode.
 
 Package: maxima-share
 Architecture: all
 Depends:  maxima (>= ${binary:Version}), ${misc:Depends}
 Replaces: maxima (<< ${binary:Version})
-Description: A computer algebra system -- extra code
+Description: Computer algebra system -- extra code
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
  functions, integration, Todd-coxeter methods for finite group

=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,9 @@
 #ifeq ($(DEB_BUILD_ARCH),alpha)
 #ALT_LINK:=--enable-gcl-alt-link
 #endif
-ifeq ($(DEB_BUILD_ARCH),powerpc)
-NO_STRIP:=-Xmaxima
-endif
+#ifeq ($(DEB_BUILD_ARCH),powerpc)
+#NO_STRIP:=-Xmaxima
+#endif
 
 SAVES:=$(addprefix debian/save/,aclocal.m4 configure interfaces/emacs/imaxima/stamp-vti\
 	 interfaces/emacs/imaxima/imaxima.info interfaces/emacs/imaxima/version.texi\
@@ -47,7 +47,9 @@
 	rm -rf debian/save
 
 MVERS:=$(shell head -n 1 debian/changelog | cut -f2 -d\  | tr -d '()' | cut -f1 -d-)
-build: debian/save build-stamp
+build: build-arch build-indep
+build-arch: debian/save build-stamp
+build-indep: debian/save build-stamp
 build-stamp:
 	dh_testdir
 
@@ -133,7 +135,8 @@
 	rm -f doc/man/ru/maxima.1
 	rm -f tests/rtest14.ERR
 	rm -f doc/info/include-maxima.texi
-	rm -f configure.lineno doc/info/extract_categories.sh.debdiff raw_ff_map src/share-subdirs.lisp
+	rm -f configure.lineno doc/info/extract_categories.sh.debdiff
+	rm -f raw_ff_map src/share-subdirs.lisp
 	dh_clean
 
 
@@ -206,6 +209,3 @@
 		for i in $$(find -name "*.info"); do if ! grep -q START-INFO-DIR-ENTRY $$i ; then k=$$(basename $$i); k=$${k%.*}; awk '{if (!i) {i=1;printf("INFO-DIR-SECTION Maxima\nSTART-INFO-DIR-ENTRY\n* Maxima-%s: (%s).  A computer algebra system -- contributions.\nEND-INFO-DIR-ENTRY\n",k,k);}} {print}' k=$$k $$i >$$i.tmp; diff -u $$i $$i.tmp ; mv $$i.tmp $$i ; fi ; done
 
 	cat debian/tmp/usr/share/info/maxima.info | \
-		awk '/START-INFO-DIR-ENTRY/ {print "INFO-DIR-SECTION Maxima"}{print}' >debian/foo && \
-		mv debian/foo debian/tmp/usr/share/info/maxima.info
-

## maxima 5.27.0

=== debian/changelog ===
maxima (5.27.0-3) unstable; urgency=low

  * Build depend on tex-common to clear lintian errors

 -- Camm Maguire <camm@debian.org>  Sat, 05 May 2012 17:16:58 +0000

maxima (5.27.0-2) unstable; urgency=low

  * Bug fix: "unowned file /usr/local/share/texmf/ls-R after purge (policy
    6.8, 9.1.2)", thanks to Andreas Beckmann (Closes: #669385).

 -- Camm Maguire <camm@debian.org>  Thu, 19 Apr 2012 19:31:56 +0000

maxima (5.27.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Fri, 06 Apr 2012 18:17:11 +0000

maxima (5.26.0-4) unstable; urgency=low

  * Bug fix: "deps needs to be adjusted", thanks to Dave Witbrodt (Closes:
    #667436).  maxima-emacs depends on texlive-latex-recommended

 -- Camm Maguire <camm@debian.org>  Wed, 04 Apr 2012 17:58:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.7-87 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake1.9, debhelper ( >=5 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev
-Standards-Version: 3.9.2
+Build-Depends: gcl ( >= 2.6.7-87 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake1.9, debhelper ( >=5 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common
+Standards-Version: 3.9.3
 
 Package: maxima
 Architecture: any
@@ -89,7 +89,7 @@
  libraries. 
 
 Package: maxima-emacs
-Depends:  maxima (>= ${binary:Version}), emacs23 | emacsen, emacsen-common (>= 1.4.14), texlive-base-bin, ${misc:Depends}, texlive-latex3, maxima-doc (>= ${source:Version})
+Depends:  maxima (>= ${binary:Version}), emacs23 | emacsen, emacsen-common (>= 1.4.14), texlive-base-bin, ${misc:Depends}, texlive-latex-recommended, maxima-doc (>= ${source:Version})
 Recommends: mime-support, postscript-viewer, pdf-viewer
 Architecture: all
 Replaces: maxima (<< ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -154,7 +154,7 @@
 install-stamp: build-stamp $(BOOK) $(INSTALLS)
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	$(MAKE) install DESTDIR=$$(pwd)/debian/tmp INSTALL="/usr/bin/install -D"

## maxima 5.28.0

=== debian/changelog ===
maxima (5.28.0-2) unstable; urgency=low

  * emacs24
  * rebuild on mips

 -- Camm Maguire <camm@debian.org>  Wed, 22 Aug 2012 15:54:32 +0000

maxima (5.28.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 20 Aug 2012 18:45:39 +0000

## maxima 5.29.1

=== debian/changelog ===
maxima (5.29.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sat, 29 Dec 2012 13:45:07 +0000

=== debian/control ===
--- 
+++ 
@@ -89,7 +89,7 @@
  libraries. 
 
 Package: maxima-emacs
-Depends:  maxima (>= ${binary:Version}), emacs23 | emacsen, emacsen-common (>= 1.4.14), texlive-base-bin, ${misc:Depends}, texlive-latex-recommended, maxima-doc (>= ${source:Version})
+Depends:  maxima (>= ${binary:Version}), emacs24 | emacsen, emacsen-common (>= 1.4.14), texlive-base-bin, ${misc:Depends}, texlive-latex-recommended, maxima-doc (>= ${source:Version})
 Recommends: mime-support, postscript-viewer, pdf-viewer
 Architecture: all
 Replaces: maxima (<< ${binary:Version})

## maxima 5.30.0

=== debian/changelog ===
maxima (5.30.0-9) unstable; urgency=low

  * build-dep on latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 02 Jul 2013 15:59:54 +0000

maxima (5.30.0-8) unstable; urgency=low

  * b-d on unversioned automake 

 -- Camm Maguire <camm@debian.org>  Sat, 22 Jun 2013 11:57:35 +0000

maxima (5.30.0-7) unstable; urgency=low

  * minor edits to enable repeated builds
  * rebuild against new gcl

 -- Camm Maguire <camm@debian.org>  Fri, 21 Jun 2013 20:25:12 +0000

maxima (5.30.0-6) unstable; urgency=low

  * Bug fix: "[maxima] Documentation broken?", thanks to
    lorenz.wenner@fsfe.org</a>; (Closes: #708210).  Edit maxima-index.lisp
    to reflect new location.

 -- Camm Maguire <camm@debian.org>  Tue, 21 May 2013 12:22:55 -0400

maxima (5.30.0-5) unstable; urgency=low

  * Bug fix: "./Bugs.texi:20: table requires an argument: the formatter
    for @item (and many other Texinfo errors)", thanks to Julien Puydt
    (Closes: #708517).  Applied patch

 -- Camm Maguire <camm@debian.org>  Tue, 21 May 2013 11:17:11 -0400

maxima (5.30.0-4) unstable; urgency=low

  * fix typo in *maxima-index-dir*
  * add debian/tmp/usr/share/doc/maxima to maxima.install.in

 -- Camm Maguire <camm@debian.org>  Wed, 01 May 2013 13:40:22 +0000

maxima (5.30.0-3) unstable; urgency=low

  * put maxima-index.lisp in maxima package

 -- Camm Maguire <camm@debian.org>  Mon, 29 Apr 2013 15:44:26 +0000

maxima (5.30.0-2) unstable; urgency=low

  * Fix index.lisp build error

 -- Camm Maguire <camm@debian.org>  Tue, 23 Apr 2013 16:12:11 +0000

maxima (5.30.0-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "Do not depend on tex-common", thanks to Elrond (Closes:
    #694049).

 -- Camm Maguire <camm@debian.org>  Mon, 22 Apr 2013 20:57:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.7-87 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake1.9, debhelper ( >=5 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common
+Build-Depends: gcl ( >= 2.6.7+dfsga-21 ) , texinfo, libgmp3-dev, libreadline-dev, locales, automake, debhelper ( >=5 ), autoconf2.13, gawk | awk, texlive-latex-recommended, sharutils, libxmu-dev, libxaw7-dev, tex-common
 Standards-Version: 3.9.3
 
 Package: maxima

=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,8 @@
 build-stamp:
 	dh_testdir
 
-	aclocal-1.9
-	automake-1.9
+	aclocal
+	automake
 
 	GCL_ANSI=t gcl -batch -eval '(bye #+ia64 1)' || \
 	echo '(setq compiler::*opt-three* "-O0" compiler::*opt-two* "-O0")(si::save-system "gcl")' | GCL_ANSI=t gcl
@@ -69,9 +69,6 @@
 
 # This sets up some reasonable readline command completion by default
 
-	cd src/binary-gcl && echo ':lisp (setq si::*readline-prefix* "maxima::$$")(when (fboundp (quote si::sgc-on)) (si::sgc-on t))(setq maxima::*maxima-started* nil)(si::putprop (quote cl-info::cause-maxima-index-to-load) "/usr/share/doc/maxima-doc/info/maxima-index.lisp"  (quote autoload))(si::save-system "foo")' | ./maxima -eval '(run)' && mv foo maxima
-
-
 # Reenable if/when gcl uses __mulsi et. al. on m68k, now configured for (020) unoptimally
 #	[ "$$(dpkg --print-architecture)" != "m68k" ] || cp debian/rtest8.mac.m68k tests/rtest8.mac
 
@@ -102,6 +99,8 @@
 #		TEXINPUTS=../../interfaces/emacs/emaxima:.:$$TEXINPUTS latex maxima && \
 #		TEXINPUTS=../../interfaces/emacs/emaxima:.:$$TEXINPUTS latex maxima && \
 #		dvips -o maxima.ps maxima
+
+	echo ':lisp (setq si::*readline-prefix* "maxima::$$")(when (fboundp (quote si::sgc-on)) (si::sgc-on t))(setq maxima::*maxima-started* nil maxima::*maxima-index-dir* "/usr/share/doc/maxima/info")(si::save-system "foo")' | ./maxima-local && mv foo src/binary-gcl/maxima
 
 	touch build-stamp
 
@@ -209,3 +208,6 @@
 		for i in $$(find -name "*.info"); do if ! grep -q START-INFO-DIR-ENTRY $$i ; then k=$$(basename $$i); k=$${k%.*}; awk '{if (!i) {i=1;printf("INFO-DIR-SECTION Maxima\nSTART-INFO-DIR-ENTRY\n* Maxima-%s: (%s).  A computer algebra system -- contributions.\nEND-INFO-DIR-ENTRY\n",k,k);}} {print}' k=$$k $$i >$$i.tmp; diff -u $$i $$i.tmp ; mv $$i.tmp $$i ; fi ; done
 
 	cat debian/tmp/usr/share/info/maxima.info | \
+		awk '/START-INFO-DIR-ENTRY/ {print "INFO-DIR-SECTION Maxima"}{print}' >debian/foo && \
+		mv debian/foo debian/tmp/usr/share/info/maxima.info
+
